<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<div class="container position-relative">

	<div class="sticky-top pt-1">
		<div
				*ngIf="ballotFormGroup?.invalid && chooseForm.submitted"
				class="alert alert-warning"
				role="alert"
		>
			<p class="mb-0">{{ 'choose.main.valiation.top' | translate }}</p>
		</div>
	</div>

	<h1 class="mt-5">{{ 'choose.main.title' | translate }}</h1>
	<p class="lead mt-2">
		{{ 'choose.main.expandcontesthelp' | translate }}
	</p>

	<form
		#chooseForm="ngForm"
		(ngSubmit)="review()"
		[formGroup]="ballotFormGroup"
		autocomplete="off"
		class="mt-5"
		novalidate
		spellcheck="false"
	>
		<div
				*ngFor="let contest of contests$ | async; index as i"
				class="ballot-group my-5"
		>
			<vp-choose-contest-container
					[contestFormGroup]="getContestFormGroup(i)"
					[contest]="contest"
					[formSubmitted]="chooseForm.submitted"
			></vp-choose-contest-container>
		</div>

		<div class="footer-nav my-5 d-flex flex-column flex-sm-row-reverse gap-4">
			<button class="btn btn-dark btn-lg" type="submit">
				{{ 'choose.main.continuetoreview' | translate }}
			</button>

			<button
					(click)="confirmCancel()"
					class="btn btn-link btn-lg"
					type="button"
			>
				<vp-icon name="x-lg"></vp-icon>
				<span>{{ 'common.cancelprocess' | translate }}</span>
			</button>
		</div>
	</form>
</div>
